| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcRemoteException Class Reference

Base class for exceptions that map to a RpcExceptionCode_t. More...

`#include <RpcRemoteException.hpp>`

Inheritance diagram for RpcRemoteException:
[legend]

## Public Member Functions

| RpcRemoteException (RemoteExceptionCode_t code, const char *msg)
| Constructor.
| RpcRemoteException (const RpcRemoteException &other) noexcept=default
| Copy constructor.
RpcRemoteException & | operator= (const RpcRemoteException &other) noexcept=default
| Copy assignment.
virtual | ~RpcRemoteException () noexcept=default
| Destructor.
RemoteExceptionCode_t | code () const noexcept
| Get the exception code.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Base class for exceptions that map to a RpcExceptionCode_t.

## Constructor & Destructor Documentation

## ◆ RpcRemoteException() [1/2]

RpcRemoteException | ( | RemoteExceptionCode_t | code,
|  | const char * | msg )

inline

Constructor.

## ◆ RpcRemoteException() [2/2]

RpcRemoteException | ( | const RpcRemoteException & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcRemoteException()

virtual ~RpcRemoteException | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ code()

RemoteExceptionCode_t code | ( |  | ) | const

inline noexcept

Get the exception code.

Returns
  The exception code.

## ◆ operator=()

RpcRemoteException & operator= | ( | const RpcRemoteException & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcRemoteException.hpp